## GdaTreeMgrLdap

GdaTreeMgrLdap — A tree manager which creates a node for each child entry of an LDAP entry

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaTreeManager * | gda_tree_mgr_ldap_new ()

## Types and Values

struct | GdaTreeMgrLdap

## Includes

    #include <virtual/gda-ldap-connection.h>

## Description

The GdaTreeMgrLdap is a GdaTreeManager object which creates a node for each child entry of an LDAP entry.

Note: this type of tree manager is available only if the LDAP library was found at compilation time and if the LDAP provider is correctly installed.

## Functions

### gda_tree_mgr_ldap_new ()

    GdaTreeManager *
    gda_tree_mgr_ldap_new (GdaConnection *cnc,
                           const gchar *dn);

Creates a new GdaTreeManager object which will list the children of the LDAP entry which Distinguished name is `dn` . If `dn` is `NULL`, then the tree manager will look in the tree itself for an attribute named "dn" and use it.

#### Parameters

cnc | a GdaConnection object |
dn | an LDAP Distinguished Name or `NULL`. | [allow-none]

#### Returns

a new GdaTreeManager object.

[transfer full]

Since: 4.2.8

## Types and Values

### struct GdaTreeMgrLdap

    struct GdaTreeMgrLdap {
    	GdaTreeManager      object;
    	GdaTreeMgrLdapPriv *priv;
    };